{country_code}: Get country details

API: worldbank.org:gender-data-portal
Endpoint: /country/{country_code}
Response format: text/xml +1 format
Auth: unknown
Method: GET
Last Status: 200
Latency: 246ms

Description

Get detailed information about a specific country including region, income level, and lending type.

Parameters (2)

country_code (string, path, required)

ISO2 country code (e.g., 'USA', 'BRA')

format (string, query, optional)

Response format

Constraints: {'enum': ['json', 'xml']}

Examples (2)

Get country details openapi-spec
curl 'https://api.worldbank.org/v2/country/USA'
import requests

resp = requests.get("https://api.worldbank.org/v2/country/USA")
data = resp.json()
import zingu_apis

api = zingu_apis.api("gender-data-portal")
result = api.fetch("country/{country_code}")

for item in result:
    print(item)
const resp = await fetch("https://api.worldbank.org/v2/country/USA");
const data = await resp.json();
Get country details probe-gate
curl 'https://api.worldbank.org/v2/country/USA?format=json'
import requests

resp = requests.get(
    "https://api.worldbank.org/v2/country/USA",
    params={
        'format': 'json',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gender-data-portal")
result = api.fetch("country/{country_code}", format="json")

for item in result:
    print(item)
const resp = await fetch("https://api.worldbank.org/v2/country/USA?format=json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:24:54.397571 200 246ms
2026-04-16 02:16:07.290742 200 242ms
2026-04-16 01:45:38.627858 200 553ms
2026-04-15 03:58:38.627976 200 421ms
2026-04-15 03:32:10.342778 200 251ms
2026-04-15 03:04:01.779744 200 606ms
2026-04-14 03:32:03.915219 200 243ms
2026-04-14 01:45:02.162128 200 366ms
2026-04-14 00:10:55.780657 200 461ms
2026-04-12 14:42:35.512014 200 375ms
2026-04-12 13:44:33.515385 200 253ms
2026-04-12 12:30:30.070524 200 261ms
2026-04-10 03:00:02.435543 200 250ms
2026-04-10 02:08:55.583802 200 433ms
2026-04-10 00:59:03.387556 200 228ms
2026-04-09 03:42:05.088130 200 442ms
2026-04-09 02:31:36.315466 200 243ms
2026-04-09 01:31:36.503465 200 236ms
2026-03-23 10:09:15.416014 200 254ms
2026-03-23 09:38:05.567448 200 226ms
2026-03-21T18:16:29.804485 200 247ms